using System.Collections.Generic;
using System.Linq;

namespace RedisAndEntityFrameworkInWebApi.Data
{
    public static class Seeder
    {

        // This is purely for a demo, don't anything like this in a real application!
        public static void SeedEntityFramework(this KeyAndValueContext keyAndValueContext)
        {
            if (!keyAndValueContext.KeyAndValues.Any())
            {
                foreach(string letter in Alphabet)
                {
                    keyAndValueContext.Add(new KeyAndValue{Key = letter, Value = $"{letter}{letter}{letter}"});
                }

                foreach(string letter in Alphabet)
                {
                    keyAndValueContext.Add(new KeyAndValue{Key = $"{letter}{letter}", Value = $"{letter}{letter}{letter}{letter}"});
                }

                keyAndValueContext.SaveChanges();
            }
        }

        public static IEnumerable<string> Alphabet
        {
            get
            {
                for (char letter = 'a'; letter <= 'z'; letter++)
                {
                    yield return letter.ToString();
                }
            }
        }
    }
}